Mailinglist Archive: opensuse (3106 mails)

< Previous Next >
Re: [opensuse] Where's libXm.so.3?
  • From: Bob Cataldo <rcataldo@xxxxxxxxxxx>
  • Date: Thu, 15 Feb 2007 07:35:47 -0500
  • Message-id: <45D453A3.4010108@xxxxxxxxxxx>
Simon Roberts wrote:
Hi all,

I'm trying to install the Citrix client on my box (OpenSuSe 10.2,
x86_64) and have a problem. The Citrix docs say it requires
OpenMotif2.2 or better. I've installed several (perhaps that's part of
the problem?) and now have:

openmotif-libs-32bit-2.3.0beta2-32
openmotif-2.3.0beta2-32
openmotif-libs-2.3.0beta2-32

all reported by an rpm query.

However, when I try to install this thing the rpm installer claims:

Unresolved dependencies:
Installing ICAClient-9.0-1.i386[Local packages]
There are no installable providers of libXm.so.3 for
ICAClient-9.0-1.i386[Local packages]

How do I know where to get libXm.so.3 (I'm assuming that it's not in
the openmotif package after all?)

TIA,
Simon


"You can tell whether a man is clever by his answers. You can tell whether a man is wise by his questions." — Naguib Mahfouz


____________________________________________________________________________________
Never Miss an Email
Stay connected with Yahoo! Mail on your mobile. Get started!
http://mobile.yahoo.com/services?promote=mail
Simon,
I ran into that problem too. I searched on libXm.so.3 and downloaded and installed 3 rpm's for SUSE ( I'm at work so I can't tell you exactly which rpm's I got - home PC ). One of the files was for 32 bit, one for 64 bit and the other for i586 ( I think ). Don't know which one solved the problem. i installed all 3 and the ICAClient works.

Hope this gets you in the right direction. If you need more info, tonight I can get the exact file names for you.
Bob Cataldo
Tech Support MFV Expositions


--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx

< Previous Next >
References